package org.nl.acs.device_driver.basedriver.hongxiang_conveyor;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 烘箱设备对接位
 */
@Service
public class HongXiangStationDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "hongxiang_conveyor";
    }

    @Override
    public String getDriverName() {
        return "烘箱设备对接位";
    }

    @Override
    public String getDriverDescription() {
        return "烘箱设备对接位";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new HongXiangStationDeviceDriver()).setDevice(device).setDriverDefination(this);
    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return HongXiangStationDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
